Subject: Re: [PATCH v2 55/63] HID: roccat: Use struct_group() to zero kone_mouse_event

From: Kees Cook <[email-masked]>
Date: Fri, 20 Aug 2021 08:57:26 -0700

On Fri, Aug 20, 2021 at 05:27:35PM +0200, Jiri Kosina wrote:
> On Fri, 20 Aug 2021, Kees Cook wrote:
> 
> > > > In preparation for FORTIFY_SOURCE performing compile-time and run-time
> > > > field bounds checking for memset(), avoid intentionally writing across
> > > > neighboring fields.
> > > >
> > > > Add struct_group() to mark region of struct kone_mouse_event that should
> > > > be initialized to zero.
> > > >
> > > > Cc: Stefan Achatz <[email-masked]>
> > > > Cc: Jiri Kosina <[email-masked]>
> > > > Cc: Benjamin Tissoires <[email-masked]>
> > > > Cc: [email-masked]
> > > > Signed-off-by: Kees Cook <[email-masked]>
> > >
> > > Applied, thank you Kees.
> > >
> > 
> > Eek! No, this will break the build: struct_group() is not yet in the tree.
> > I can carry this with an Ack, etc.
> 
> I was pretty sure I saw struct_group() already in linux-next, but that was 
> apparently a vacation-induced brainfart, sorry. Dropping.

Oh, for these two patches, can I add your Acked-by while I carry them?

Thanks!

-- 
Kees Cook